Bug 720542 - Clicking fuzzy icon on non empty entry saves the translation as "Need Review (Fuzzy)"
Clicking fuzzy icon on non empty entry saves the translation as "Need Review ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.4-RC
All All
medium Severity medium
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-11 21:59 EDT by Ding-Yi Chen
Modified: 2011-10-28 04:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4-alpha-2-SNAPSHOT (20110926-1021)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 04:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-11 21:59:53 EDT
Description of problem:
Marking/unmarking as fuzzy needs simplifying. Currently, if you select or unselect the checkbox "fuzzy" you need to save the entry for that change to be applied. But a click into that checkbox should immediately apply/save that change.

That is, fuzzy state of each message is shown in its own column.

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT

Steps to Reproduce:
0. Assume the project (ProjectName) has been imported and user has joined at
least one supported languages.
1. Click Projects-> ProjectName
2. Click translate
3. Click a document in document list.

Expected results:
Fuzzy state of each message is shown in its own column,
and clicking fuzzy state icon changes the fuzzy state.

Additional info:
Zanata does not actually record fuzzy as "fuzzy", it uses:
 "Approved" for "non-fuzzy"
 "Need Review" for "fuzzy"
Comment 1 James Ni 2011-08-16 06:17:51 EDT
We have change the checkbox to a 'Save as Fuzzy' button beneath the editor area. click into that button will immediately save the entry as fuzzy and change the state.
Comment 2 Ding-Yi Chen 2011-09-26 20:11:43 EDT
VERIFIED with Zanata version 1.4-alpha-2-SNAPSHOT (20110926-1021)

Note You need to log in before you can comment on or make changes to this bug.